from processing.tools import *

dictLayersClipCleanDiss = {}

for layer in dictLayersClipClean.keys():
    outputLayer = mainLayerFolder + '\\LayersClipCleanDiss\\'+layer+'_Diss.shp'
    print(outputLayer)
    general.runalg("qgis:dissolve",\
                        #areaOfInterest,\
                        dictLayersClipClean[layer],\
                        True,\
                        None,
                        outputLayer)
                        
    dictLayersClipCleanDiss[layer+'_Diss'] = iface.addVectorLayer(outputLayer , layer+'_Diss' , "ogr")